#include <cstdlib>
#include <iostream>
#include <cmath>

using namespace std;

double calc(long long l, long long t, long long v)
{
  	double ans = 0;
  	if (l % (v * t) == 0)
  	{
  	  ans = (l / (v * t) - 1) * 2 * t + t;
  	  return ans;
  	}
  	ans += l / (v * t) * 2 * t;
  	double left = l % (v * t);
  	ans += left / (double) v;
  	return ans;
}

int main()
{
  	freopen("race.in", "r", stdin);
  	freopen("race.out", "w", stdout);
  	long long v1, v2, w1, w2, len;
  	cin >> w1 >> v1 >> w2 >> v2 >> len;
  	double t1 = calc(len, w1, v1);
 	double t2 = calc(len, w2, v2);
 	if (abs(t1 - t2) < 1e-9)
 		cout << "Draw" << endl;
 	else if (t1 - t2 < 0)
 	    cout << "First" << endl;
 	else
 		cout << "Second" <<endl;
}
